package ru.yandex.autotests.direct.web.webelements.bem;

import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;

/**
 * Created by aleran on 20.10.2015.
 */
public class MobileAppOSSelectBEM extends SelectBEM {

    protected final String OS_POPUP_XPATH = "//div[contains(@class, 'select__popup')]" +
            "[contains(@class, 'popup_visibility_visible')]//div[contains(@class,'select__list')]";

    public MobileAppOSSelectBEM(WebElement wrappedElement) {
        super(wrappedElement);
    }

    @Override
    protected WebElement getPopupList() {
        return this.getWrappedElement().findElement(By.xpath(OS_POPUP_XPATH));
    }

}
